# My new blog

This is my new blog, a couple of years ago, I started the [souumbyte (pt-BR)](https://souumbyte.blogspot.com) blog, but it was hard and counterintuitive to write here, and I wanted to have an easier platform to use, so I switched to [medium](https://jhrl.medium.com), and it has been my main platform for a long time.

However, I've been unsatisfied with the Medium experience for years now, its lack of proper highlight, and you have to use third-party sites like GitHub, and going back and forth, creating different gists, realizing you did something wrong and having to edit the gist was breaking so much the writing flow.

Also, medium lacks different formatting options, tables, and the code blocks are so unreliable and refuses to work well with my keyboard layout, the absence of proper quoting, no way to include videos, no anchor organization, no support for SVG, charts, no support for playgrounds, there is so much missing features for software development articles that I felt so limited on how to express myself and make it easier for my readers to reach the things I'm referring to.

So, I decided to start cross-posting all my articles, here in this blog and in Medium.

## The base

I'm using a custom Rust mdBook build along with an HTTP Server to build the blog pages, since mdBook is not suited for blogs but more documentation oriented, this will not be the final version of this blog, but the experimental one.

I will be testing different integrations and building the base to make this blog a good place for expressing myself and sharing knowledge, and to have a good reader experience.

## Features

- [ ] GitHub Gist support
- [ ] GitLab support
- [ ] YouTube video support
- [ ] Twitch clip support
- [x] All features supported by CommonMark
- [x] MathJax support
- [x] Rust playground support
- [x] Go playground support
- [x] [crates.io]() and [docs.rs]() shields support (example: [junitify|crates.io:version](https://crates.io/crates/junitify) and [bindet|docs.rs]())
- [x] [aur.archlinux.org]() shields support (example: [qemu-git|aur.archlinux.org:version]()).
- [x] [gitlab.com]() shields support examples:
  - [Kores/kravltree|gitlab.com:release:latest-date]()
  - [Kores/kravltree|gitlab.com:release:latest-semver]()
  - [Kores/kravltree|gitlab.com:release:latest-semver-pre]()
  - [Kores/junitify|gitlab.com:tag:latest-date]()
  - [Kores/junitify|gitlab.com:tag:latest-semver]()
  - [Kores/junitify|gitlab.com:tag:latest-semver-pre]()
  - [Kores/junitify|gitlab.com:pipeline:master|{rust}]()
- [x] jpg, png, svg, bmp (all imagine formats supported by browsers)
- [ ] Video support
- [x] Code Highlight
- [ ] Charts
- [x] Generates valid CommonMark
  - This allows any page generated by `jhrl.dev` to be rendered in any other platform that supports CommonMark or any superset of it (although not all features may work).
- [ ] w3m and links2 compatible pages.
  - [x] Anchors (go to topic)
  - [ ] Sharing (socials)
  - [ ] Search (words)
  - [x] Remove themes
  - [ ] Codeblocks coloring (dynamic generated)

## In-progress

I'm still working in getting everything working, like HTML Renderers, custom Markdown plugins/processors, as well as tooltips and the share button,
the **share** button in particular works, but is only sharing to Reddit at the moment.

### Thanks

- [ellisonleao](https://github.com/ellisonleao) for the [sharer.js](https://ellisonleao.github.io/sharer.js).
- [zenorocha](https://zenorocha.com/) for the [clipboard.js](https://clipboardjs.com/).
- [mdBook Rust team](https://github.com/rust-lang/mdBook/graphs/contributors) for the [mdBook](https://github.com/rust-lang/mdBook).
- [Rust team](https://www.rust-lang.org/governance) for the [Rust Language](https://www.rust-lang.org/).
- [FontAwesome](https://fontawesome.com/) for the [Free Awesome Icons](https://fontawesome.com/icons).
- all the people involved in libraries used by this project.


---

<p id="categories" style="font-size: xx-small">Categories: technology, blog, rust</p>